Package org.apache.ignite.internal.management

## Enum SystemViewTask.SimpleType

- java.lang.Object
- - java.lang.Enum<SystemViewTask.SimpleType>
  - - org.apache.ignite.internal.management.SystemViewTask.SimpleType

All Implemented Interfaces:
  `Serializable`, `Comparable<SystemViewTask.SimpleType>`

Enclosing class:
  SystemViewTask

    public static enum SystemViewTask.SimpleType
    extends Enum<SystemViewTask.SimpleType>

Represents lightweight type descriptors.

### Enum Constant Summary

Enum Constants
`DATE` Date.
`NUMBER` Number.
`STRING` String.

### Method Summary

All Methods Static Methods Concrete Methods
`static SystemViewTask.SimpleType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SystemViewTask.SimpleType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DATE

    public static final SystemViewTask.SimpleType DATE

Date.

#### NUMBER

    public static final SystemViewTask.SimpleType NUMBER

Number.

#### STRING

    public static final SystemViewTask.SimpleType STRING

String.

### Method Detail

#### values

    public static SystemViewTask.SimpleType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SystemViewTask.SimpleType c : SystemViewTask.SimpleType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SystemViewTask.SimpleType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null